## org.eclipse.datatools.sqltools.sqlbuilder.views.graph.commands
Class MoveJoinCommand

    java.lang.Object
      org.eclipse.gef.commands.Command
          org.eclipse.datatools.sqltools.sqlbuilder.views.graph.commands.MoveJoinCommand

    public class MoveJoinCommand

extends org.eclipse.gef.commands.Command

Constructor Summary
`MoveJoinCommand()`

Method Summary
`void` `cancel()`
`boolean` `canExecute()`
`void` `execute()`
`ColumnEditPart` `getColumnPart()`
`java.lang.String` `getDescription()`
`JoinEditPart` `getJoinPart()`
`boolean` `isChangeSource()` Get the value of changeSource.
`void` `redo()`
`void` `setChangeSource(boolean v)` Set the value of changeSource.
`void` `setColumnPart(ColumnEditPart target)`
`void` `setJoinPart(JoinEditPart source)`
`void` `setSelectStatement(QuerySelect statement)`
`void` `undo()`

Methods inherited from class org.eclipse.gef.commands.Command
`canUndo, chain, dispose, getDebugLabel, getLabel, setDebugLabel, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MoveJoinCommand

    public MoveJoinCommand()

Method Detail

### cancel

    public void cancel()

### canExecute

    public boolean canExecute()

  Overrides:
    `canExecute` in class `org.eclipse.gef.commands.Command`

### execute

    public void execute()

  Overrides:
    `execute` in class `org.eclipse.gef.commands.Command`

### getDescription

    public java.lang.String getDescription()

### getJoinPart

    public JoinEditPart getJoinPart()

### setJoinPart

    public void setJoinPart(JoinEditPart source)

### getColumnPart

    public ColumnEditPart getColumnPart()

### setColumnPart

    public void setColumnPart(ColumnEditPart target)

### isChangeSource

    public boolean isChangeSource()

  Get the value of changeSource. This determines if the move join command is changing the source table or the target table

  Returns:
    value of changeSource.

### setChangeSource

    public void setChangeSource(boolean v)

  Set the value of changeSource. This determines if the move join command is changing the source table or the target table

  Parameters:
    `v` - Value to assign to changeSource.

### setSelectStatement

    public void setSelectStatement(QuerySelect statement)

### redo

    public void redo()

  Overrides:
    `redo` in class `org.eclipse.gef.commands.Command`

### undo

    public void undo()

  Overrides:
    `undo` in class `org.eclipse.gef.commands.Command`